|
| json | AngleFullCircleInRadians (normal, vecA, vecB, returnPositive) |
| | AngleFullCircleInRadians Parameters: In: normal, vecA, vecB, returnPositive Out: double.
|
| |
| json | AppendSelectionToGroupInstancePathArray (aInput, aOutput) |
| | AppendSelectionToGroupInstancePathArray Parameters: In: aInput Out: std.vector<WSM.GroupInstancePath>
|
| |
| json | AppendToGroupInstancePathArray (nHistoryID, aInput, aOutput) |
| | AppendSelectionToGroupInstancePathArray Parameters: In: path, aInput Out: std.vector<WSM.GroupInstancePath>
|
| |
| json | ComputeFaceCentroid (historyID, faceID) |
| | ComputeFaceCentroid Parameters: In: historyID, faceID Out: success (bool), centroid (WSM.Point3d)
|
| |
| json | ComputeFaceNormal (historyID, faceID) |
| | ComputeFaceNormal Parameters: In: historyID, faceID Out: bool, WSM.UnitVector3d
|
| |
| json | ConvertToFaces (aPaths) |
| | ConvertToFaces Parameters: In: aPaths); Out: std.vector<WSM.GroupInstancePath>
|
| |
| json | ConvertToTopLevel (nHistoryID, aObjectIDs, bAllowInstances, bAllowOwnedFaces) |
| | ConverToTopLevel Parameters: In: nHistoryID, aObjectIDs, bAllowInstances Out: std.vector<size_t>
|
| |
| json | ConvertToTopLevelPaths (aPaths, bAllowInstances, bAllowOwnedFaces) |
| | ConverToTopLevelPaths Parameters: In: aPaths, bAllowInstances Out: std.vector<WSM.GroupInstancePath>
|
| |
| json | DeleteObjectsIncludeSmoothAttachments (nHistoryID, toDelete) |
| | DeleteObjectsIncludeSmoothAttachments Parameters: In: nHistoryID, toDelete
|
| |
| json | ExpandSelection (nHistoryID, objectID, selectionlevel, filter, bCanExpandInstances) |
| |
| json | GetAllNonOwnedGeometricObjects (nHistoryID) |
| | GetAllNonOwnedGeometricObjects Parameters: In: nHistoryID Out: vector<size_t>
|
| |
| json | GetAxisAlignedBoundingBox (aObjectIDs, CS) |
| | GetAxisAlignedBoundingBox Parameters: In: aObjectIDs, CS (WSM.Utils.CoordSystem) WSM.Utils.CoordSystem.HCS The History being edited coordinate system.
|
| |
| json | GetCoedgePoints (nHistoryID, coedgeID) |
| | GetCoedgePoints Parameters: In: nHistoryID, coedgeID Out: bool, WSM.Point3d, WSM.Point3d
|
| |
| json | GetEdgeCurveType (nHistoryID, edgeId) |
| | GetEdgeCurveType Parameters: In: nHistoryID, edgeId Out: type, size_t AttribID
|
| |
| json | GetEdgeIDFromCoedge (nHistoryID, coedgeID) |
| | GetEdgeIDFromCoedge Parameters: In: nHistoryID, coedgeID Out: size_t
|
| |
| json | GetEdgeLine (nHistoryID, edge) |
| | GetEdgeLine Parameters: In: nHistoryID, edge Out: Line3d
|
| |
| json | GetFaceIDFromCoedge (nHistoryID, coedgeID) |
| | GetFaceIDFromCoedge Parameters: In: nHistoryID, coedgeID Out: size_t
|
| |
| json | GetFacePoints (facePath) |
| | GetFacePoints Parameters: In: facePath Out: std.vector<WSM.Point3d>
|
| |
| json | GetGroupInstanceNonOwnedGeometricObjects (instance) |
| | GetGroupInstanceNonOwnedGeometricObjects Parameters: In: instance Out: std.vector<WSM.GroupInstancePath>
|
| |
| json | GetMemoryInfo (nHistoryID) |
| | GetMemoryInfo Parameters: In: nHistoryID Out: aRefdHistoryIDs, nFullSize, nCollapsedSize
|
| |
| json | GetVertexCurveAttributes (historyID, vertexID) |
| | GetVertexCurveAttributes Parameters: In: historyID, vertexID Out: std.vector<std.pair<size_t, size_t>> aAttributeIDs
|
| |
| json | HasSmoothEdge (nHistoryID, nObjectID) |
| | HasSmoothEdge Parameters: In: nHistoryID, nObjectID Out: true/false
|
| |
| json | IsBackFace (path, cameraPos, cameraDir, perspectiveView) |
| | IsBackFace Parameters: In: path, cameraPos, cameraDir, perspectiveView Out: true/false
|
| |
| json | IsLayerHidden (nHistoryID, id) |
| | IsLayerHidden Parameters: In: nHistoryID, id Out: true/false
|
| |
| json | IsObjectHidden (nHistoryID, nObjectID) |
| | IsObjectHidden Parameters: In: nHistoryID, nObjectID Out: true/false
|
| |
| json | IsObjectHiddenByPath (path) |
| | IsObjectHiddenByPath Parameters: In: path Out: true/false
|
| |
| json | IsLayerNotPickable (nHistoryID, id) |
| | IsLayerNotPickable Parameters: In: nHistoryID, id Out: true/false
|
| |
| json | IsObjectNotPickable (nHistoryID, nObjectID) |
| | IsObjectNotPickable Parameters: In: nHistoryID, nObjectID Out: true/false
|
| |
| json | IsObjectNotPickableByPath (path) |
| | IsObjectNotPickableByPath Parameters: In: path Out: true/false
|
| |
| json | IsObjectType (path, nObjectTypes) |
| | IsObjectType Parameters: In: path, nObjectTypes Out: bool
|
| |
| json | IsOnCurveJunction (path, bInferencing) |
| |
| json | IsSelectAllConnected (nHistoryID, selectedObjectIDs) |
| | IsSelectAllConnected Parameters: In: nHistoryID, selectedObjectIDs Out: true/false
|
| |
| json | IsSilhouetteEdge (nHistoryID, edgeId, cameraPos, cameraDir, perspectiveView) |
| | IsSilhouetteEdge Parameters: In: nHistoryID, edgeId, cameraPos, cameraDir, perspectiveView Out: true/false
|
| |
| json | IsSmooth (path) |
| | IsSmooth Parameters: In: path Out: true/false
|
| |
| json | IsTopLevelObjectHidden (nHistoryID, nObjectID) |
| | IsTopLevelObjectHidden Parameters: In: path Out: true/false
|
| |
| json | IsTopLevelObjectHiddenByPath (path) |
| | IsTopLevelObjectHiddenByPath Parameters: In: path Out: true/false
|
| |
| json | IsVertexEditable (nHistoryID, nObjectID) |
| | IsVertexEditable Parameters: In: nHistoryID, nObjectID Out: true/false
|
| |
| json | IsVertexOnCurve (historyID, vertexID) |
| | IsVertexOnCurve Parameters: In: historyID, vertexID Out: true/false
|
| |
| json | MakePickRayFromWindow (firstWindowSelectPoint, secondWindowSelectPoint) |
| | MakePickRayFromWindow Parameters: In: firstWindowSelectPoint, secondWindowSelectPoint Out: PickRay
|
| |
| json | MatchesSelectionType (selectedObjectIDs, aNewSelectedObjects, bSelectAll) |
| | MatchesSelectionType Parameters: In: selectedObjectIDs, aNewSelectedObjects, bSelectAll Out: true/false
|
| |
| json | ObjectCanBeHidden (nHistoryID, nObjectID) |
| | ObjectCanBeHidden Parameters: In: nHistoryID, nObjectID Out: true/false
|
| |
| json | PickBody (pickray) |
| | PickBody Parameters: In: pickRay Out: size_t
|
| |
| json | PickGeometry (pickray, pickFilter, bAllowAdjustRayRadius) |
| | PickGeometry Parameters: In: pickray, pickVertices, pickEdges, pickFaces, pickInstances, bAllowAdjustRayRadius Out: size_t
|
| |
| json | PickObjectsWithFilter (pickray, filter, currentSelectionLevel) |
| | PickObjectsWithFilter Parameters: In: pickray, filter, currentSelectionLevel Out: WSM.GroupInstancePath firstSelectedObject, std.vector<WSM.GroupInstancePath> allSelectedObjects, ObjectsAndPickPoints aObjectsAndPickPoints
|
| |
| json | PickObjectsWithRay (pickray, pickFilter, bAllowAdjustRayRadius, bIgnoreInContext) |
| | PickObjectsWithRay Parameters: In: pickRay, pickFilter, bAllowAdjustRayRadius Out: ObjectIDsAndPickPoints aObjectsAndPickPoints
|
| |
| json | RayFireWithObjects (objectIds, ray) |
| | RayFireWithObjects Parameters: In: objectIds, ray Out: bool, WSM.Point3d pickPointOnObject
|
| |
| json | SelectionFromGroupInstancePathArray (aInput) |
| | SelectionFromGroupInstancePathArray Parameters: In: aInput Out: aOutput
|
| |
| json | SelectionToGroupInstancePath (nObjectID) |
| | SelectionToGroupInstancePath Parameters: In: nObjectID Out: GroupInstancePath
|
| |
| json | SelectionToGroupInstancePathArray (aInput) |
| | SelectionToGroupInstancePathArray Parameters: In: aInput Out: aOutput
|
| |
| json | SetToOwnerBody (path) |
| | SetToOwnerBody Parameters: In: path Out: WSM.GroupInstancePath
|
| |
| json | TestPickImages (nHistoryID, imageIds, pickRay) |
| | TestPickImages Parameters: In: nHistoryID, imageIds, pickRay Out: size_t, Point3d pickPointOnImage
|
| |
| json | ObjectIDsAreEqual (id1, id2) |
| | ObjectIDsAreEqual Parameters: In: id1, id2 Out: areSame (bool)
|
| |
| json | GroupInstancePathsAreEqual (path1, path2) |
| | GroupInstancePathsAreEqual Parameters: In: path1, path2 Out: areSame (bool)
|
| |
| json | PickRay (pickrayLine, planes, screenPickRayRadius, perspectiveScaleFactor, baseRadius, normalizedScreenPoint) |
| | PickRay constructs a PickRay.
|
| |
| json | PickRayFromLine (pickrayLine) |
| | PickRay constructs a PickRay.
|
| |
| json | PickRayFromNormalizedScreenPoint (ptX, ptY, yUp) |
| | PickRayFromNormalizedScreenPoint() function.
|
| |
| json | GroupInstancePathArray (objectIDs, History, groupInstancePath) |
| |
| json | GetGroupInstancePathFinalObjectHistoryID (ObjectIDs) |
| | GetGroupInstancePathFinalObjectHistoryID takes any form of Objects (GroupInstancePath, GroupInstancePathArray, ObjectHistoryIDArray, ObjectIDArray) and returns the final ObjectHistoryID.
|
| |
| json | ObjectHistoryIDArray (objectIDs, History) |
| |
| json | ObjectIDArray (objectIDs) |
| |
| json | SetOrCreateStringAttributeForObject (nHistoryID, nObjectID, key, value, nCB, bIsSharedOnSplit) |
| | Sets the value of a string attribute of a given object, if that object has such an attribute with the given key.
|
| |
| json | GetStringAttributeForObject (nHistoryID, nObjectID, key) |
| | Gets the string attribute value for a given object and key.
|
| |
| json | ObjectTypeFilter () |
| | Default constructor for WSM.Utils.ObjectTypeFilter
|
| |
| json | ObjectHistoryID (nHistoryID, nObjectID) |
| | ObjectHistoryID creation method In: nHistoryID, nObjectID Out: ObjectHistoryID
|
| |
| json | IsOwnerOf (parent, child) |
| | Checks whether parent is an owner of child Parameters: In: parent, child as WSM.GroupInstancePath Out: true/false
|
| |
| json | GetAllGeometryInformation (nHistID, nObjID) |
| | Returns data to create a Spacemaker glb from a root history.
|
| |
| json | GetAllRenderingInformation (nHistID, bWriteHiddenObject, bPushNonUniformOntoGeometry, nObjID) |
| | Returns rendering data used by Lumion.
|
| |
| json | CreateModelFromRenderingInformation (nHistID, aMeshesAndTransformsDataVec, aMaterialVec) |
| | Creates geometry and materials representing rendering information.
|
| |
| json | ComputeGeometryFromLevels (nHistID, bUseHiddenObject, nObjID) |
| | Computes faces by intersecting visible objects with levels.
|
| |
| json | CreateAlignedAndCenteredGroup (nHistID, aObjectIDs) |
| | Creates a group matching the LCS and centered on average x, average y, and minimum z of the bounding boxes of the objects being moved to the group.
|
| |
| json | CreateBoundingLineMesh (nHistoryID, nObjectID, aPlanes, bUsePlaneLinearly) |
| | Creates a line mesh boundary that is the intersection of the given planes and the object where the slice given by the the intersection of plane i and the object is bounded by plane (i - 1) and plane (i + 1), so only segments on the negative side of the planes are kept.
|
| |
| json | GetObjectTypesMultiHistory (paths) |
| | Get object types for multiple object paths at once, in multiple histories.
|
| |
| json | GetObjectTypes (historyId, objectIds) |
| | Bulk version of APIGetObjectTypeReadOnly.
|
| |
| json | GetRenderableFaces (historyId, faces, calcTexCoords, backside) |
| |
| json | GetRenderableEdges (historyId, edges, includeSmooth) |
| | Get vertices for multiple edges at once, as a flat list of doubles
|
| |
| json | GetObjectRenderableEdges (historyId, objectId, includeSmooth) |
| | Get vertices for all the edges on an object, as a flat list of doubles
|
| |